{{- if .Values.serviceAccount.enabled -}}
{{- if .Values.serviceAccount.create -}}
apiVersion: v1
kind: ServiceAccount
metadata:
  name: {{ .Values.serviceAccount.name }}
  namespace: {{ .Values.backup.namespace }}
  labels:
    app: {{ include "freeleaps-data-backup.name" . }}
    component: backup
    {{- include "freeleaps-data-backup.labels" . | nindent 4 }}
  {{- with .Values.serviceAccount.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
{{- end }}
{{- end }} 